local LocalDatabase, GlobalDatabase, SavedVars, Locals = unpack(select(2, ...))

--<<GENERAL CONFIG ELEMENTS>>-----------------------------------------------------------------------<<>>

    local ConfigElements = {
        [1] = {
            element = "Slider", 
            text = Locals.TextureVariant[1], 
            tip = Locals.TextureVariant[2], 
            value = SavedVars.TextureVariant, 
            minmax = {1, 5}, 
            step = 1, 
            func = function(value) SavedVars.TextureVariant = value LocalDatabase.ResetAllQuestIcons() end
        },
        [2] = {
            element = "Slider", 
            text = Locals.ScaleOffset[1], 
            tip = Locals.ScaleOffset[2], 
            value = SavedVars.ScaleOffset, 
            minmax = {0.5, 3}, 
            step = 0.1, 
            func = function(value) SavedVars.ScaleOffset = value LocalDatabase.ResetAllQuestIcons() end
        },
        [3] = {
            element = "Slider", 
            text = Locals.Alpha[1], 
            tip = Locals.Alpha[2], 
            value = SavedVars.Alpha, 
            minmax = {0.1, 1}, 
            step = 0.05, 
            func = function(value) SavedVars.Alpha = value LocalDatabase.ResetAllQuestIcons() end
        },
        [4] = {
            element = "Color", 
            text = Locals.NormalQuestcolor[1], 
            tip = Locals.NormalQuestcolor[2], 
            value = SavedVars.NormalQuestcolor, 
            func = function(value) SavedVars.NormalQuestcolor = value LocalDatabase.ResetAllQuestIcons() end
        },
        [5] = {
            element = "Color", 
            text = Locals.AreaQuestcolor[1], 
            tip = Locals.AreaQuestcolor[2], 
            value = SavedVars.AreaQuestcolor, 
            func = function(value) SavedVars.AreaQuestcolor = value LocalDatabase.ResetAllQuestIcons() end
        },
    }

--<<INIT CONFIG>>-----------------------------------------------------------------------------------<<>>

    function LocalDatabase.InitConfigElements() 
        if GlobalDatabase.Config_Add then                                                             
            GlobalDatabase.Config_Add(ConfigElements, Locals.QuestMobs)
        end
    end

----------------------------------------------------------------------------------------------------<<END>>